パスワードを忘れた? アカウント作成
297986 journal

ohharaの日記: perl-IO-Compress

日記 by ohhara

CentOSがperl-IO-Compressのエラーでupdate出来なくなった。

--> Running transaction check
--> Processing Dependency: perl(Compress::Raw::Bzip2) = 2.024 for package: perl-IO-Compress
---> Package perl-Compress-Raw-Bzip2.i386 0:2.033-1.el5.rf set to be updated
--> Processing Dependency: perl(Compress::Raw::Zlib) = 2.024 for package: perl-IO-Compress
---> Package perl-Compress-Raw-Zlib.i386 0:2.033-1.el5.rf set to be updated
--> Finished Dependency Resolution
perl-IO-Compress-2.024-1.el5.rf.noarch from installed has depsolving problems
    --> Missing Dependency: perl(Compress::Raw::Bzip2) = 2.024 is needed by package perl-IO-Compress-2.024-1.el5.rf.noarch (installed)
perl-IO-Compress-2.024-1.el5.rf.noarch from installed has depsolving problems
    --> Missing Dependency: perl(Compress::Raw::Zlib) = 2.024 is needed by package perl-IO-Compress-2.024-1.el5.rf.noarch (installed)
Error: Missing Dependency: perl(Compress::Raw::Bzip2) = 2.024 is needed by package perl-IO-Compress-2.024-1.el5.rf.noarch (installed)
Error: Missing Dependency: perl(Compress::Raw::Zlib) = 2.024 is needed by package perl-IO-Compress-2.024-1.el5.rf.noarch (installed)
  You could try using --skip-broken to work around the problem
  You could try running: package-cleanup --problems
                                                package-cleanup --dupes
                                                rpm -Va --nofiles --nodigest

package-cleanupしろと言われたが、入ってなかったので入れる。

$ sudo yum install yum-utils
$ sudo package-cleanup --problems

rpmforgeからrpmforge-extrasへリポジトリが変更されたのが原因との事。
http://memocache.blogspot.com/2011/01/perl-io-compress-yum-update-rpmforge.html

$ sudo yum update rpmforge-release
$ sudo yum update --enablerepo=rpmforge-extras perl-IO-Compress
$ sudo yum update

無事に解決しました。

この議論は、ohhara (703)によって テキとトモのテキ禁止として作成されたが、今となっては 新たにコメントを付けることはできません。
typodupeerror

未知のハックに一心不乱に取り組んだ結果、私は自然の法則を変えてしまった -- あるハッカー

読み込み中...